package com.jiayue.insu.incloud.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.jiayue.insu.incloud.entity.Quartz;
import org.quartz.SchedulerException;

import java.text.ParseException;

public interface QuartzService extends IService<Quartz> {

    Quartz findByJobName(String jobName);

    boolean saveQuartz(Quartz quartz) throws SchedulerException, ClassNotFoundException, ParseException;

    boolean updateQuartz(Quartz quartz) throws SchedulerException, ClassNotFoundException, ParseException;

    boolean deleteQuartz(Integer id) throws SchedulerException;
}
